Installare Internet Explorer su Linux (Ubuntu e altri)

Per chi non possa proprio farne a meno, per motivi di testing, oppure perché purtroppo alcuni siti o applicazioni funzionano solo con quello, è possibile installare in modo molto semplice Internet Explorer su Linux.

La cosa è facilitata da un programmino (un semplice script, free e open source) che si chiama IEs4Linux. Il programma funziona su qualunque distribuzione Linux (ma anche altri sistemi non Windows) su cui giri Wine (un software che permette a programmi scritti per Windows di girare su altri sistemi operativi).

L’installazione occupa molto meno spazio di quanto solitamente faccia su un PC Windows, in quanto scarica solo i componenti necessari al browser, e non Outlook Express, Media Player, ecc.

Prerequisiti per poter procedere all’installazione sono, oltre a IEs4Linux, Wine e Cabextract.

Per installare questi ultimi, ad esempio su Ubuntu, nel caso non lo siano già, occorre eseguire, da una finestra di terminale (Applicazioni -> Accessori -> Terminale) il comando

sudo apt-get install wine cabextract

Poi bisogna scaricare l’archivio compresso di IEs4Linux, estrarne il contenuto ed eseguire lo script

wget http://www.tatanka.com.br/ies4linux/downloads/ies4linux-latest.tar.gz
tar zxvf ies4linux-latest.tar.gz
cd ies4linux-*
./ies4linux

A questo punto partirà l’installazione, che proporrà inizialmente alcune scelte da fare:

atrogu@ubuntu64:~/ies4linux-2.0.5$ ./ies4linux
Benvenuto, atrogu! Io sono IEs4Linux.
Sono in grado di installare IE 6, 5.5 and 5.0 per te in modo facile e veloce.Devi solo confermare quattro risposte per avere il tuo IE.Adesso ti farò alcune domande. devi solo rispondere s o n (la risposta predefinita è in grassetto)Vuoi installare anche IE 5.5 SP2? [ s / n ] n
IE può essere installato usando una delle seguenti localizzazioni:
EN-US PT-BR DE FR ES IT NL SV JA KO NO
DA CN TW FI PL HU AR HE CS PT RU EL TRLa tua lingua predefinita è IT. Premi INVIO per confermarla, o scegli una di quelle indicate:
Installerò tutto in /home/atrogu/.ies4linux
Installerò anche il plugin di Adobe Flash 9 e creerò l'icona sul desktop.Queste scelte di soddisfano? (Per una configurazione avanzata digita n) [ s / n ]BENE! Cominciamo l'installazione...
Scarico tutto quello che serve...
DCOM98.EXE
--09:12:49--  http://download.microsoft.com/download/d/1/3/d13cd456-f0cf-4fb2-a17f-20afc79f8a51/DCOM98.EXE
=> `/home/atrogu/.ies4linux/downloads/DCOM98.EXE'
Risoluzione di download.microsoft.com in corso... 213.254.211.14, 213.254.211.8
Connessione a download.microsoft.com|213.254.211.14:80... connesso.
HTTP richiesta inviata, aspetto la risposta... 200 OK
Lunghezza: 1,229,056 (1.2M) [application/octet-stream]
100%[===========================================================================>] 1,229,056    341.93K/s    ETA 00:00
09:12:54 (314.41 KB/s) - "/home/atrogu/.ies4linux/downloads/DCOM98.EXE" salvato [1229056/1229056]

E poi procederà scaricando tutti gli altri componenti necessari.

Al termine dello scaricamento installerà il tutto:

Installo IE 6
Inizializzo
Creo i file per Wine
Estraggo i file dai CAB.
Processo i file inf
Installo IE 6
Installo i TTF Fonts
Installo RICHED20
Installo ActiveX MFC40
Installo DCOM98
Installo i registri
Finalizzo[ OK ]
Installo Flash Player 9
Estraggo i files
Installo flash 9 ie6[ OK ]L'installazione di IE in Linux è finita!
Per lanciare IE, digita:
/home/atrogu/bin/ie6

E Internet Explorer funziona (anche molto velocemente)! Comunque consiglio di NON usarlo per la normale navigazione, ma solo in caso di necessità.

Hai trovato interessante questo articolo? Puoi iscriverti ai feed o ricevere i prossimi articoli per email.

9 pensieri su “Installare Internet Explorer su Linux (Ubuntu e altri)”

  1. ciao scusami ma sono un disperato, innanzitutto sono un utente di linux (ubuntu) da pochissimo tempo e sto cercando di installare IE (purtroppo ne ho bisogno, lo so firefox è meglio) come dalla tua guida il problema è che va tutto bene fino a questo punto:

    Installo IE 6
    Inizializzo
    Creo i file per Wine
    Segmentation fault (core dumped)
    Your wine does not have wineprefixcreate installed. Maybe you are running an old Wine version. Try to update it to the latest version.

    ho installato la nuova versione di wine ma picche… il mio sistema è un amd64 e la versione di ubuntu è la 7.04 a 64bit. ti ringrazio fin da ora se saprai darmi un aiuto

    ciao e grazie

  2. Sul forum di IEs4Linux c’è una discussione riguardo ad un problema simile al tuo (http://www.tatanka.com.br/ies4linux/forum/viewtopic.php?t=902). Si suggerisce di verificare che wineprefixcreate sia installato sul PC, provando ad eseguirlo da terminale. Se viene eseguito ma dà errore, consiglia di cancellare la directory ~/.wine ed eseguirlo nuovamente per ricrearla.
    Se il problema persiste, può essere causato dalla particolare versione di wine. Quale stai usando? L’hai installata con “apt-get install” o l’hai compilata dai sorgenti?
    Alla fine dell’argomento c’è anche una patch per bypassare il controllo di wineprefixcreate, ma è un po’ complicato installarla. La lascerei come ultima possibilità.
    Spero di essere stato d’aiuto.

  3. uhm ho cercato di installare il media player serie 9 e mi dice che è già installato. però se vado su un certo sito (che con firefox non si funge troppo bene) non si sente la musica. è normale?

  4. L’ho appena installato per poter testare il mio sito e pure perché sono rivenditore di videogiochi e i siti di due distributori importanti (leader e dde) funzionano solo con ‘sta cagata di browser…

  5. Ce l’avevo su Ubuntu 7.10, senza problemi.
    L’ho installato su Ubuntu 8.01, ripetute volte, ma non funziona: si apre la prima schermata ma la navigazione non funziona, e la seconda volta si blocca e non si apre più.

  6. Giulia, “purtroppo” sul mio Ubuntu 8.04 funziona perfettamente, quindi non riesco a vedere il problema e a capire a cosa sia dovuto.
    Hai provato a reinstallarlo? E a lanciarlo da un terminale (/home/nomeutente/bin/ie6) in modo da vedere se dà degli errori?
    In alternativa potresti provare la versione beta (IE7) che si trova sul sito (http://www.tatanka.com.br/ies4linux/page/Beta).

  7. Renata, Internet Explorer è il browser con più problemi di sicurezza (vedi qui), quello meno aderente agli standard web (vedi qui), con meno funzionalità (vedi qui, e non supporta le estensioni), ed essendo molto integrato con il sistema operativo le sue vulnerabilità rendono vulnerabile anche quest’ultimo (soprattutto nel caso di Windows).

  8. Stesso problema di cui sopra con l’ultima versione di sidux, mentre con la precedente tutto andava bene fino a un anno fa. Da qualche mese avevo tolto e volevo reinstallare ma mi dava l’errore dell’ultima versione di linux come ad altri; ho provato ad aggiornare la distribuzione ma niente, sia su amd 64 che su amd classico. Il processore non c’entra. Sono sicuro che è un problema causato microzozz. Provate ad installare una delle ultime distro su un HD di riserva e vedete un po’ che succede. Accidenti al sito delle carte di credito!

Rispondi